summaryrefslogtreecommitdiffstats
path: root/graphics/leocad_pieces/leocad_pieces.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/leocad_pieces/leocad_pieces.SlackBuild')
-rw-r--r--graphics/leocad_pieces/leocad_pieces.SlackBuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/graphics/leocad_pieces/leocad_pieces.SlackBuild b/graphics/leocad_pieces/leocad_pieces.SlackBuild
new file mode 100644
index 0000000000..185bbfdf11
--- /dev/null
+++ b/graphics/leocad_pieces/leocad_pieces.SlackBuild
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Slackware build script for leocad_pieces, the pieces library needed by
+# LeoCAD
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2010/01/27
+
+PRGNAM=leocad_pieces
+VERSION=3299
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+
+# Data from zip-file + set permissions
+mkdir -p $PKG/usr/share/leocad
+unzip $CWD/pieces-$VERSION.zip -d $PKG/usr/share/leocad
+chown -R root:root $PKG
+find $PKG -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}